- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# schroot_releaselock::main Class Reference

Frontend for schroot. More...

`#include <schroot-releaselock-main.h>`

Inheritance diagram for schroot_releaselock::main:

[legend]
Collaboration diagram for schroot_releaselock::main:

[legend]
List of all members.

## Public Types
typedef sbuild::custom_error< error_code > | error
| Exception type.
| DEVICE_NOTBLOCK
| File is not a block device.
| DEVICE_OWNED
| Failed to release device lock (lock held by PID).
| DEVICE_RELEASE
| Failed to release device lock.
| DEVICE_STAT
| Failed to stat device.
enum | error_code { DEVICE_NOTBLOCK, DEVICE_OWNED, DEVICE_RELEASE, DEVICE_STAT }
| Error codes. More...
## Public Member Functions
| main (options::ptr &options)
| The constructor.
virtual | ~main ()
| The destructor.
virtual void | action_releaselock ()
| Release lock.
virtual int | run_impl ()
| Run the program.
## Public Attributes
options::ptr | opts
| The program options.

## Detailed Description

Frontend for schroot.

This class is used to "run" schroot.

## Member Typedef Documentation

typedef sbuild::custom_error<error_code> schroot_releaselock::main::error

Exception type.

## Member Enumeration Documentation

enum schroot_releaselock::main::error_code

Error codes.

Enumerator:

  DEVICE_NOTBLOCK | File is not a block device.
  DEVICE_OWNED | Failed to release device lock (lock held by PID).
  DEVICE_RELEASE | Failed to release device lock.
  DEVICE_STAT | Failed to stat device.

## Constructor & Destructor Documentation

main::main | ( | options::ptr & | options | ) |

The constructor.

Parameters:

  | options | the command-line options to use.

main::~main | ( |  | ) | `[virtual]`

The destructor.

Reimplemented from schroot_base::main.

## Member Function Documentation

void main::action_releaselock | ( |  | ) | `[virtual]`

Release lock.

Todo:
  PID should be capitalised in the translated warning string.

int main::run_impl | ( |  | ) | `[virtual]`

Run the program.

Returns:
  0 on success, 1 on failure or the exit status of the chroot command.

Implements schroot_base::main.

## Member Data Documentation

options::ptr schroot_releaselock::main::opts

The program options.

The documentation for this class was generated from the following files:

- schroot/schroot-releaselock-main.h
- schroot/schroot-releaselock-main.cc